Bug 190279 - Serial ports again reduced to 4 instead of 32
Serial ports again reduced to 4 instead of 32
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-29 23:53 EDT by Jørgen Thomsen
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 20:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jørgen Thomsen 2006-04-29 23:53:33 EDT
Description of problem:
I just upgraded from FC3 to FC5 and now again I have the same problem !
See bug 143927
The kernel only allows for 4 serial ports instead of 32 as in previous releases.
RAM is not so scarce these days that you have to save a few bytes in a table, so 
why not keep a reasonable high number so as to not making problems for people.

Version-Release number of selected component (if applicable):
2.6.16-1.2096_FC5

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jørgen Thomsen 2006-04-30 14:07:28 EDT
I also noticed, that there was an error in registering serial port no. 4, which 
I believe is reported by somebody else, too.
 
Comment 2 Jørgen Thomsen 2006-05-01 17:56:09 EDT
I got the kernel sources and changed the .config file (based on the i686 
version) with menuconfig in 3 places: raised the runtime serial ports to 32, 
changed the CPU to Athlon and set the kernel debug parameter to 'n'.

It apparently solved the problem, but now I am definitely missing the listing 
of found tty devices in /var/log/dmesg. How do I get this back without 
compiling a whole lot of debug code into the kernel ?
Comment 3 Dave Jones 2006-05-06 20:26:46 EDT
you don't need to rebuild the kernel, you can boot with 8250.nr_uarts=32 or
however many you need.

Note You need to log in before you can comment on or make changes to this bug.